OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
OpAccumulator< IterT, OpT > Class Template Reference

`#include <openvdb/tools/ValueTransformer.h>`

## Public Types
using | IterRange = typename tree::IteratorRange<IterT>

## Public Member Functions
| OpAccumulator (const IterT &iter, OpT &op)
| OpAccumulator (OpAccumulator &other, tbb::split)
| ~OpAccumulator ()
void | process (bool threaded=true)
void | operator() (const IterRange &r)
void | join (OpAccumulator &other)

## Member Typedef Documentation

## ◆ IterRange

template<typename IterT , typename OpT >

using IterRange = typename tree::IteratorRange<IterT>

## Constructor & Destructor Documentation

## ◆ OpAccumulator() [1/2]

template<typename IterT , typename OpT >

OpAccumulator | ( | const IterT & | iter,
|  | OpT & | op )
| inline

## ◆ OpAccumulator() [2/2]

template<typename IterT , typename OpT >

OpAccumulator | ( | OpAccumulator< IterT, OpT > & | other,
|  | tbb::split | )
| inline

## ◆ ~OpAccumulator()

template<typename IterT , typename OpT >

~OpAccumulator | ( |  | ) |
| inline

## Member Function Documentation

## ◆ join()

template<typename IterT , typename OpT >

void join | ( | OpAccumulator< IterT, OpT > & | other | ) |
| inline

## ◆ operator()()

template<typename IterT , typename OpT >

void operator() | ( | const IterRange & | r | ) |
| inline

## ◆ process()

template<typename IterT , typename OpT >

void process | ( | bool | threaded = true | ) |
| inline